Results 1 to 10 of 10

Thread: loading software catalog in leap 15.1

  1. #1
    Join Date
    Aug 2019
    Posts
    2

    Default loading software catalog in leap 15.1

    The catalog loads but also displays the message "Sorry something went wrong". I can't find what went wrong.
    I suspect nothing is wrong but why the message?

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,402

    Default Re: loading software catalog in leap 15.1

    Welcome to the openSUSE forums.

    I am sorry, but it is unclear to me what you are doing. Always tell, or better show, what you are doing and please do not assume that others are doing tha same thing all the time and thus guess correct what you are talking about.

    Best is to copy/past from the terminal (emulator) including the prompt/command line, the output (of course) and the new prompt line (to ahoe completeness) in your post. And then paste between CODE tags, which you get by clicking on the # button in the tool bar above the post editor. An example is here: Using CODE tags Around your paste.

    Next best is a screen shot of the window(s) that show your problem, that can be stored on https://susepaste.org/, post the link to the image in your post.

    Of course a description of what you do, what you expect, and what you get instead of what you expected goes with the technical facts.
    Henk van Velden

  3. #3
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    2,610

    Cool Re: loading software catalog in leap 15.1

    Quote Originally Posted by sga View Post
    The catalog loads but also displays the message "Sorry something went wrong".
    Because my preferred GUI is KDE, I was a little bit taken aback by the term “software catalog” but, on searching I found that, it's the GNOME “Software” graphical tool for installing applications and extensions.

    So, we're using openSUSE and, the documentation is here: <https://doc.opensuse.org/>.

    <https://doc.opensuse.org/documentati...er-use-updates> – which points us to the “Start-Up” book.



    • Install, update, and remove software delivered as an RPM via PackageKit
    • Install, update, and remove software delivered as a Flatpak
    • Install, update, and remove GNOME shell extensions (https://extensions.gnome.org)
    • Update firmware for hardware devices using Linux Vendor Firmware Service (LVFS, https://fwupd.org)
    So, now we're guessing at the error message you're seeing:
    • A RPM / PackageKit issue?
    • A Flatpack issue?
    • A GNOME shell extensions issue?
    • A Linux Vendor Firmware Service issue?


    Please try the following recipe for GNOME “Software” issues: <https://www.linuxuprising.com/2019/0...-software.html>.
    • Please report back with the results of the above recipe.
    • Please also report back with a more detailed description of the error GNOME “Software” was reporting.

  4. #4
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,499
    Blog Entries
    2

    Default Re: loading software catalog in leap 15.1

    Agreed the !OP has to be more descriptive what was invoked or happening when the error displayed,
    Besides what has been described, there are possibly other scenarios...

    eg.
    A simple repo refresh in some situations, perhaps YaST Software Manager or something else...
    Someone who is used to DEB management might expect a 2 step update first downloading and refreshing the packages listing before any operations whereas in openSUSE we only invoke one command (eg zypper update or running a YaST update) that will automatically do the packages list refresh silently if needed.

    "Something went wrong" is a generic message many apps throw...

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  5. #5
    Join Date
    Aug 2019
    Posts
    2

    Default Re: loading software catalog in leap 15.1

    Thanks everyone for your replies and helpful advice. I will follow up at my next opportunity and report back.

  6. #6
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    2,610

    Question Re: loading software catalog in leap 15.1

    @sga:

    Looking into the “gnome-software” RPM package and various reports concerning usage of this “Software Center” (App Store) application it seems that,
    1. There are no configuration files in /etc;
    2. There's no documentation in ‘/usr/share/doc/packages/’;
    3. There's only a man page …

    Please consider invoking GNOME “Software” and note the time when it errors; then, with the user “root”, from a terminal window, examine the system journal:
    Code:
    journalctl --this-boot
    Search for the time when the GNOME “Software” application was started and then, check for any errors written to the system journal by the GNOME application.

  7. #7
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    2,610

    Exclamation Re: loading software catalog in leap 15.1

    @sga:

    Please note that, I've submitted Bug #1157126 - “Flatpak has been built without the libsystemd dependency”.

  8. #8
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    2,610

    Question Re: loading software catalog in leap 15.1

    @sga:

    BTW, did you read this? <https://flatpak.org/setup/openSUSE/>


    But, the issue raised in the Bug Report remains …

  9. #9
    Join Date
    Jun 2008
    Location
    Southwest Virginia, USA
    Posts
    13

    Default Re: loading software catalog in leap 15.1

    When running Leap 15.1 in Gnome, ignore the Gnome software catalog entirely. It does not work when running OpenSUSE. Instead, software is managed inside Yast with the Software Management tab. Just click it and install away. It works great.
    John

    "Live And Let Live."

  10. #10
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    2,610

    Talking Re: loading software catalog in leap 15.1

    Quote Originally Posted by iamjiwjr View Post
    When running Leap 15.1 in Gnome, ignore the Gnome software catalog entirely. It does not work when running OpenSUSE.
    Unfortunately, there's an entry in the Leap 15.1 Startup Guide: <https://doc.opensuse.org/documentati...pdater-gnomesw>.
    • This Forum thread is indicating that, it don't work as it should do …


    I've submitted Bug 1157209 - GNOME Software doesn't seem to be functioning correctly.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •